Skip to main content
GET
/
v1beta
/
documents
/
{document_id}
/
general-access
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.sharing.getGeneralAccess({
    documentId: "<id>",
  });

  console.log(result);
}

run();
{
  "document_id": "<string>",
  "general_access_level": "restricted"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

document_id
string
required

Document ID.

Pattern: ^doc_[0-9a-hjkmnp-tv-z]{26}$

Response

Success

GetGeneralAccessResponse contains the current general access level.

document_id
string

Document ID.

general_access_level
enum<string>

Current general access level.

Available options:
restricted,
organization,
anyone_with_link